Dedizierte Server

Cloud

Cloud-Konsole

Virtual networks

Attach service

POST/v1/networking/virtual-networks/{id}/attachments

Attaches a service to the network on one of its segments.

Autorisierung

  • Authorizationstringheadererforderlich

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Erforderliche Berechtigung: organization.baremetal.networking

Pfadparameter

  • idstring<uuid>erforderlich

Header

  • Idempotency-Keystring

    Grenzen:length <= 200

Body

application/json
  • serviceIdstring<uuid>
  • segmentIdstring<uuid>erforderlich
  • isNativeboolean

Antwort

202 · application/json

Accepted

  • successbooleanerforderlich

    Zulässige Werte:true

  • dataobject | nullerforderlich